# AuditoryStimuli.jl goes beep and ssshhh

![Tests](https://github.com/rob-luke/AuditoryStimuli.jl/workflows/Tests/badge.svg)
[![codecov.io](http://codecov.io/github/rob-luke/AuditoryStimuli.jl/coverage.svg?branch=master)](http://codecov.io/github/rob-luke/AuditoryStimuli.jl?branch=master)

Generate auditory stimuli for real-time applications.  Specifically, stimuli that are used in auditory research.


## Stimuli

This package provides low levels tools to build any stimulus.
It also provides high level convenience functions and examples for common stimuli such as:
* Amplitude modulated noise
* Harmonic stacks or harmonic complexes
* Binaural stimuli with user specified interaural correlation
* Frequency following response stimuli
* and more...


## Documentation

https://rob-luke.github.io/AuditoryStimuli.jl


## Acknowledgements

This package is built on top of the excellent packages:
* [SampledSignals](https://github.com/JuliaAudio/SampledSignals.jl)
* [Unitful](https://github.com/ajkeller34/Unitful.jl)
* [Plots](https://github.com/JuliaPlots/Plots.jl)
